<div class="control-section">
    <div class="drag-sample-wrapper">
      <div class="schedule-container">

        <ejs-schedule id="scheduler" *ngIf="employeeDataSource && employeeDataSource.length > 0" #scheduleObj cssClass='schedule-block-events'  [allowDragAndDrop]="true" width='100%' height='650px' [group]="group"
          [currentView]="currentView" (eventRendered)="onEventRendered($event)" (cellClick) = "onCellClick($event)" (beforeAppointmentCreate) = "onBeforeAppointmentCreate($event)"   (popupOpen) ='onPopupOpen($event)' [selectedDate]="selectedDate"  [eventSettings]="eventSettings" (click)="clickCalendarEvent($event)"  (actionBegin)='onActionBegin($event)' (actionFailure)='onActionFailure($event)' (actionComplete)='onActionComplete($event)' (drag) ='onDrag($event)'  (dragStart) ='onDragStart($event)'  (dragStop) ='onDragStop($event)' >
          <e-resources>
            <e-resource field='EmployeeId' title='Employees' name='Employee' [dataSource]='employeeDataSource'
              [allowMultiple]='allowMultiple' textField='Text' idField='Id' groupIDField="GroupId" colorField='Color'>
            </e-resource>
          </e-resources>
          <ng-template #resourceHeaderTemplate let-data >
            <div class="template-wrap" >
              <div class="employee-category">
                <div>
                  <img src="{{avatar}}" class="employee-image" />
                </div>
                <div class="employee-name">{{getEmployeeName(data)}}</div>
                <div class="employee-designation">{{getEmployeeDesignation(data)}}</div>
              </div>
            </div>
          </ng-template>
          <e-views>
            <e-view option="Day"></e-view>
            <e-view option="TimelineDay"></e-view>
            <e-view option="TimelineMonth"></e-view>
          </e-views>
        </ejs-schedule>
      </div>
    </div>
  </div>

  